--Миссия "наперегонки". v0.1 
-- Автор: casper_nn

-- В данном файле представлен пример отдельной миссии с подробными комментариями по коду и описанием ограничений на дизайн. Чтобы сделать простую миссию не требуется специальных знаний в программировании. Если же вы уверены в своих силах, то сможете реализовать интересные задумки, с изменяемыми объектами, набором таймерных и случайных событий или придумать своего противника со сложным поведением. 
--
--
-- Структура кода:
--
-- Миссия оформляется в отдельном lua файле разбитом на блоки для удобства восприятия (для удобного поиска все названия блоков начинаются с ***)
-- Квесты - тут описываются все объекты типа quest. каждый объект quest это экран с текстом в главной части, картинкой справа и одним или несколькими выборами действий.
-- Объекты - тут содержаться статичные объекты локаций, специфические для данной миссии. Камни, возвышенности, двери, панели управления со своей логикой и т.п.
-- События - особые события, происходящие в ходе миссии. Могут вызываться по таймеру ходов или случайно. События настраиваются для каждого сектора индивидуально.
-- Сектора - сектора в которых происходят сражения, содержат набор объектов и событий.
-- Миссия - сценарий миссии в виде последовательности квестов и секторов.

---*** Квесты

--Объект quest это по сути стандартная сцена xroom http://instead.syscall.ru/wiki/ru/gamedev/documentation#%D1%81%D1%86%D0%B5%D0%BD%D0%B0  
e2m1_begin = quest{
	--название для вывода на экран
	nam = _rl('e2m1_beg_1'),
	
	--текст с описанием событий
	dsc = _rl('e2m1_beg_2'),
	
	--стандартный кусок кода для установки музыки и картинки справа 
	entered = function(s)
		--выбрать музыку
		set_music('track/Philippe_Mangold_-_Theme.ogg')
		
		--очистить область справа
		inv_clear()
		
		--поместить в область картинку
		take_my_stat( img('img/'..prefs.thm..'/'..'bg/automat.png') )
	end,
	
	-- при нажатии "дальше" переходим на диалог с именем e2m1_dis
	obj = {	
			vway('Дальше',function(s) return '{'.._l('q.next')..'}' end, 'e2m1_dis')
			}
}	

--обычный диалог INSTEAD см. http://instead.syscall.ru/wiki/ru/gamedev/documentation?s[]=%D0%B4%D0%B8%D0%B0%D0%BB%D0%BE%D0%B3%D0%B8#%D1%80%D0%B0%D1%81%D1%88%D0%B8%D1%80%D0%B5%D0%BD%D0%BD%D1%8B%D0%B5_%D0%B4%D0%B8%D0%B0%D0%BB%D0%BE%D0%B3%D0%B8

e2m1_dis = dlg{
	nam = _rl('e2m1_dis_1'),
	entered = function(s)
		inv_clear()
		take_my_stat( img('img/'..prefs.thm..'/'..'bg/nastya.png') )
		p(_l('e2m1_dis_2')) 
	end,
	
	phr = { 
			{tag = '1',always = true, _rl('e2m1_dis_3'), _rl('e2m1_dis_4'), --'Привет, ну что там у нас сегодня?' 'Доброе утро. Серьезных поломок нет. Планетологи просят провести плановый осмотр своих станций.'
					[[poff('1');pon('2');]]}, 
			{tag = '1',always = true, _rl('e2m1_dis_5') , _rl('e2m1_dis_6'), --'Слууушай, давно тебя хотел спросить.' 'Доброе утро. Вообще-то воспитанные люди сначала здороваются',
					[[poff('1');pon('3');]]},
			{tag = '3', false,always = true, _rl('e2m1_dis_7') , _rl('e2m1_dis_8'), --'Да, привет, Настя.' , 'Что за вопрос?' ,
					[[poff('3');pon('4');]]},
			{tag = '3', false,always = true, _rl('e2m1_dis_9') , _rl('e2m1_dis_10'), -- 'Доброе-доброе. Так я могу задать вопрос?' , 'Что за вопрос?' ,
					[[poff('3');pon('4');]]},
			{tag = '4', false,always = true, _rl('e2m1_dis_11') , _rl('e2m1_dis_12'), -- 'Если я в следующий раз зайду в комнату на руках ты улыбнешься?' , 'Нет. Я заплачу от того с какими несерьезными людьми мне приходится работать.' ,
					[[poff('4');pon('51');]]},
					{tag = '51', false,always = true, _rl('e2m1_dis_13') , _rl('e2m1_dis_14'), -- 'Ну вот... Знаешь сколько я тренировался, чтобы ходить на руках!' , 'Так вот как ты тратишь свободное время. Я что-то подобное и представляла.' ,
							[[poff('51');pon('6');]]},
			{tag = '4', false,always = true, _rl('e2m1_dis_15') , _rl('e2m1_dis_16'), -- 'Ты чисто теоретически могла бы выйти замуж за техника-сварщика? Высшей категории. Без вредных привычек кстати.' , 'На нескромные вопросы я не отвечаю.' ,
					[[poff('4');pon('52');]]},
					{tag = '52', false,always = true, _rl('e2m1_dis_17') , _rl('e2m1_dis_18'), -- 'Ты даже не дашь мне надежду?' , 'На идиотские вопросы я тоже не отвечаю.' ,
							[[poff('52');pon('6');]]},
			{tag = '4', false,always = true, _rl('e2m1_dis_19') , _rl('e2m1_dis_20'), -- 'Если я однажды заблужусь в технических коридорах ты будешь по мне скучать?' , 'Там невозможно заблудиться.' ,
					[[poff('4');pon('53');]]},
					{tag = '53', false,always = true, _rl('e2m1_dis_21') , _rl('e2m1_dis_22'), -- 'Конечно можно. Ты не представляешь, какая опасная у нас работа.' , 'Я там была, еще на практике - там везде стрелки и карты на каждой стене. А выдумывать и хвастаться нехорошо.' ,
							[[poff('53');pon('6');]]},

					{tag = '4', false,always = true, _rl('e2m1_dis_23') , _rl('e2m1_dis_24'), -- 'Кто тебе больше нравится Гена или я?' , 'Оба вы хороши. Он, кстати, недавно тот же вопрос задал.' ,
					[[poff('4');pon('54');]]},
					{tag = '54', false,always = true, _rl('e2m1_dis_25') , _rl('e2m1_dis_26'), -- 'Придется вызвать этого наглеца на дуэль.' , 'Хорошая мысль. Кстати, игрушечные сабли есть в игровой, в детском жилом блоке.' ,
							[[poff('54');pon('6');]]},					
					
			{tag = '4', false,always = true, _rl('e2m1_dis_27') , _rl('e2m1_dis_28'), -- 'Какие цветы ты любишь?' , 'Бугенвиллею' ,
					[[poff('4');pon('55');]]},
					{tag = '55', false,always = true, _rl('e2m1_dis_29') , _rl('e2m1_dis_30'), -- 'Буген... как?' , 'Бу-ген-вил-ле-ю. Две "л". Сюда таких не возят.' ,
						[[poff('55');pon('6');]]},
					
			{tag = '6', false,always = true, _rl('e2m1_dis_31') , _rl('e2m1_dis_32'), -- 'Настя, ты ко мне несправедлива. Ладно, что там у нас сегодня?' , 'Ничего серьезного. Планетологи просят провести плановый осмотр своих станций.' ,
					[[poff('6');pon('2');]]},

			{tag = '2', false,always = true, _rl('e2m1_dis_33') , _rl('e2m1_dis_34'), -- 'Чего это? У них плановый через два месяца.' , 'Да, но у них намечается эксперимент какой-то. Просят перенести осмотр, чтобы быть уверенными в готовности оборудования. Семен Аркадиевич лично заходил оставлял заявку. Сказал, что с Барышковым вопрос согласован.' ,
				[[poff('2');pon('7');]]},

			{tag = '7', false,always = true, _rl('e2m1_dis_35') ,true, --'Ладно, грузи заявку, а я, наверное, сам с Барышковым поговорю.',true,
				[[poff('7');pon('1'); walk(e2m1_ready)]]}, --после окончания диалога переход к экрану на котором можно выбрать необязательные диалоги и перейти на брифинг e2m1_ready
	}
}

e2m1_ready = quest{
	nam = _rl('e2m1_ready_1'),--'Приготовления',
	forcedsc = true,
	dsc = _rl('e2m1_ready_2'),--'Наш вездеход стоял прямо в ремонтном цеху, при необходимости он поднимался на центральном подъемнике на поверхность. Чаще всего мы работаем на подземных уровнях колонии - основная часть оборудования расположена здесь. На поверхности находится космопорт, в котором имеются свои штатные техники. Так же на поверхности есть многочисленные научные метеостанции, за которые отвечаем уже мы. После запуска сети метеоспутников некоторые станции были законсервированы, но большая часть все еще работала, и требовала обслуживания два раза в год. По регламенту каждый выход на поверхность считался работой с повышенной опасностью - к ним готовились особенно тщательно, а перед выходом нам нужно было подписывать кучу лишних документов. Заявка-заявкой, но не хотелось проводить такие работы без прямой санкции руководства.',
	entered = function(s)
		set_music('track/Philippe_Mangold_-_Theme.ogg')
		inv_clear()
		take_my_stat( img('img/'..prefs.thm..'/'..'bg/instr.png') )
	end,
	obj = {	
			vway('Начальник',function(s) return '{'.._l('e2m1_ready_3')..'}^' end, 'e2m1_bar'), --Поговорить с начальником
			vway('Напарник',function(s) return '{'.._l('e2m1_ready_4')..'}^' end, 'e2m1_gena'), --Поговорить с напарником
			vway('Поехали',function(s) return '{'.._l('e2m1_ready_5')..'}^' end, 'e2m1_brif') --Собрать все необходимое
			}
}


e2m1_bar = dlg{
	nam = _rl('e2m1_bar_1'),--'Дмитрий Барышков',
	entered = function(s)
		inv_clear()
		take_my_stat( img('img/'..prefs.thm..'/'..'bg/baryshkov.png') )
		p( _l('e2m1_bar_2')) --Барышков был нашим начальником. Он участвовал в строительстве колонии, и знал тут каждую щель, а за особо сложный ремонт брался лично.
	end,
	
	
	phr = { 
			{tag = '1',always = true, _rl('e2m1_bar_3'), _rl('e2m1_bar_4'),--'Привет, Дима. Там у нас заявка лежит от Абаряна. На внеплановый осмотр. Даешь добро?', 'Привет, Максим. Да, я вкурсе, мы с ним обсуждали', 
					[[poff('1');pon('2');]]},
			{tag = '2',false,always = true, _rl('e2m1_bar_5'), _rl('e2m1_bar_6'),--'А к чему такая срочность у них?','Слышал про аномальный состав атмосферы на Надежде?',
					[[poff('2');pon('3');]]},
			{tag = '3', false,always = true, _rl('e2m1_bar_7'), _rl('e2m1_bar_8'),-- 'Что-то припоминаю. На инструктаже говорили, когда мы сюда летели, но давно это было' , 'Вот поэтому, Макс, ты не начальник. Ха, шучу. Сам бы не вспомнил, мне вчера Семен Аркадиевич рассказал все еще раз. В общем атмосфера тут нестандартная состав, примеси странные. Планетологи головы ломали, гипотезы разные у них. Сейчас вот новая появилась, про влияние естественных подземных реакторов. Тут же концентрации радиоактивных веществ просто немыслимые.' ,
					[[poff('3');pon('4');]]},
			{tag = '4', false,always = true, _rl('e2m1_bar_9'), _rl('e2m1_bar_10'),-- 'Да ну, как это реактор сам собой построится что ли?' , 'А очень просто, высокая концентрация урана или тория плюс вода и пошла реакция. Когда-то и на земле такие были. В общем планетологи считают, что эти реакторы могут сильно нагревать отдельные подземные области, растапливать лед и запускать разные химические реакции, проходящие под высоким давлением и высоких температурах. Вот поэтому тут атмосфера такая странная.' ,
					[[poff('4');pon('5');]]},
			{tag = '5', false,always = true, _rl('e2m1_bar_11'), _rl('e2m1_bar_12'),-- 'Интересно. А метеостанции тут причем?' , 'Темный ты человек. Им же для точных замеров откалибровать все надо - матмоделей-то нет пока точных. Вот и попросили заранее провести. С вами поедет лаборант один, от планетологов, поможет с настройкой. Документация вся к заявке приложена, разберетесь. Аккуратно там. Инструктаж перед выходом лично проведу.' ,
					[[poff('5');pon('6');]]},
					
			{tag = '6', false,always = true, _rl('e2m1_bar_13'),true,--'Понял, пойду скафандры проверю.',true,
				[[poff('6');pon('1');inv_clear();take_my_stat( img('img/'..prefs.thm..'/'..'bg/instr.png') );back()]]},		
					
	}
}

e2m1_gena = dlg{
	nam = _rl('e2m1_gn'),--Генка
	entered = function(s)
		inv_clear()
		take_my_stat( img('img/'..prefs.thm..'/'..'bg/genka.png') )
		p( _rl('e2m1_gn_2'))  --Своего напарника я нашел в ремонтном цеху рядом с нашим вездеходом -- он открыл один из многочисленных технических люков и теперь монтирует там какие-то платы, не замечая ничего вокруг. Наверное заменяет недавно сломавшийся навигатор. Генка,- мой друг еще с отборочного пункта, мы пришли записываться добровольцами в один день, там и познакомились. Он занимается ремонтом и проверкой всего, что может генерировать или потреблять электричество. Мы с ним примерно одного возраста и постоянно соревнуемся, спорим по пустякам, но не потому, что не можем договориться, а скорее из спортивного интереса.
	end,
	
	phr = { 
			{tag = '1',always = true, _rl('e2m1_gn_3'), _rl('e2m1_gn_4'), --'Привет', 'Привет, инструменты собрал?', 
					[[poff('1');pon('21');]]},
				{tag = '21',false,always = true, _rl('e2m1_gn_5'), _rl('e2m1_gn_6'), -- 'Пока нет', 'Давай в темпе, нам еще инструктаж слушать.', 
						[[poff('21');pon('3');]]},
					
			{tag = '1',always = true, _rl('e2m1_gn_7'), _rl('e2m1_gn_8'), -- 'Геннадий!!!', 'Максим Сергеевич!!!', 
					[[poff('1');pon('22');]]},
				{tag = '22',false,always = true, _rl('e2m1_gn_9'), _rl('e2m1_gn_10'), -- 'Да вы, никак, решили поработать?', 'Сарказм от человека, так и не собравшего инструменты, неуместен.', 
						[[poff('22');pon('3');]]},
					
			{tag = '1',always = true, _rl('e2m1_gn_11'), _rl('e2m1_gn_12'), -- 'Ты опять ломаешь технику?', 'Ваши незрелые замечания, молодой человек, оставьте при себе.', 
					[[poff('1');pon('23');]]},
				{tag = '23',false,always = true, _rl('e2m1_gn_13'), _rl('e2m1_gn_14'), -- 'Я же старше тебя!', 'Я давно подозреваю, что ты просто подделал записи о возрасте, чтобы тебя взяли в космос.', 
						[[poff('23');pon('3');]]},
					
			{tag = '3', false,always = true, _rl('e2m1_gn_15'), _rl('e2m1_gn_16'), -- 'Что нового?' , 'Ты слышал? Нам в нагрузку дают лаборанта от планетологов. Если будет тот же, что в прошлый раз, ты, Макс, должен быть свидетелем на суде, что убийство было совершено в целях самообороны.' ,
					[[poff('3');pon('4');]]},
					
			{tag = '4', false,always = true, _rl('e2m1_gn_17'), _rl('e2m1_gn_18'), -- 'Я отказываюсь покрывать твои злодеяния. И вообще, он просто посоветовал тебе, как нужно обжимать контакты.' , 'Это все равно, что советовать Паганини, как держать смычок.' ,
					[[poff('4');pon('51');]]},
				{tag = '51', false,always = true, _rl('e2m1_gn_19'), _rl('e2m1_gn_20'), -- 'Как нескромно, Геннадий. Ладно, я побрел за снарягой, заодно возьму пайки и кислород, с этой настройкой можем до вечера провозиться.' , 'Постой-ка. Ну так чего там у тебя с Настей? Пригласил её хоть погулять или в кафе?' ,
						[[poff('51');pon('5');]]},
			{tag = '4', false,always = true, _rl('e2m1_gn_21'), _rl('e2m1_gn_22'), -- 'Конечно, Гена, я даже буду носить тебе передачки, когда тебя признают виновным.' , 'Ты помнишь, я люблю сосиски с горчицей и клюквенный морс.' ,
					[[poff('4');pon('52');]]},
				{tag = '52', false,always = true, _rl('e2m1_gn_23'), _rl('e2m1_gn_24'), -- 'Крайне примитивные вкусы. Ладно, я побрел за снарягой, заодно возьму пайки и кислород, с этой настройкой можем до вечера провозиться.' , 'Постой-ка. Ну так чего там у тебя с Настей? Пригласил её хоть погулять или в кафе?' ,
						[[poff('52');pon('5');]]},
						
			{tag = '5', false,always = true, _rl('e2m1_gn_25'), _rl('e2m1_gn_26'), -- 'У меня все нормально' , 'Да уж, нормально. По законам эволюции такие застенчивые вымирают первыми, как динозавры.' ,
					[[poff('5');pon('61');]]},
					{tag = '61', false,always = true, _rl('e2m1_gn_27'), true, -- 'Сам ты динозавр. Я сначала контакт хочу наладить, и вообще... Все, некогда мне тут с тобой болтать.' , true ,
							[[poff('61');pon('1');inv_clear();take_my_stat( img('img/'..prefs.thm..'/'..'bg/instr.png') );back()]]},
			{tag = '5', false,always = true,  _rl('e2m1_gn_29'), _rl('e2m1_gn_30'), --'А тебе-то какая разница?' , 'Вот ты чудной. Мы когда мимо проходим, ты себе чуть шею не сворачиваешь. Можно сказать, вся бригада за тебя болеет.' ,
					[[poff('5');pon('62');]]},
					{tag = '62', false,always = true, _rl('e2m1_gn_31'), true, -- 'Сплетники хуже баб. Все, пойду за инструментом.' , true ,
							[[poff('62');pon('1');inv_clear();take_my_stat( img('img/'..prefs.thm..'/'..'bg/instr.png') );back()]]},
			{tag = '5', false,always = true, _rl('e2m1_gn_32'), _rl('e2m1_gn_33'), -- 'Почти пригласил.' , 'Я тебе почти поверил. Ладно, иди, скромняга.' ,
					[[poff('5');pon('63');]]},
					{tag = '63', false,always = true, _rl('e2m1_gn_34'), true, -- 'Иду-иду. Сам остановил!' , true ,
							[[poff('63');pon('1');inv_clear();take_my_stat( img('img/'..prefs.thm..'/'..'bg/instr.png') );back()]]},						
	}
}


e2m1_brif = quest {
	nam = _rl('e2m1_brif'),-- 'Подготовка к выходу',
	dsc = function(s) return _l('e2m1_brif_1')..'^^'..txtb(_l('q.group')..'^^').._l('e2m1_brif_2')..'^^{no|'.._l('q.back')..'}^{confirm|'.._l('q.start')..'}^' end;-- Наконец все было готово, мы получили на складе все нужные расходники, проверили скафандры и инструменты. Дмитрий, как и обещал, сам пришел проводить инструктаж и привел с собой тихого лаборанта, мы сталкивались пару раз в жилых секторах, но лично не общались. Инструктаж прошел как обычно - следить за уровнем радиации, уровнем кислорода, не дурить и обо всем докладывать. Мы пообещали не дурить и заведя вездеход на подъемную платформу поднялись на поверхность.
	entered = function(s)
		inv_clear()
		take_my_stat( img('img/'..prefs.thm..'/'..'bg/baryshkov.png') )
	end,	
	obj = 	{ 
				xact('confirm', function(s)
										--это последняя сцена в объекте "квест", после неё заканчиваются диалоги и начинается первая локация. В этом месте создаются бойцы
				
										--очистить старый отряд
										squads_clear()
										
										--боец создается командой new_unit(тип бойца, номер звена , номер бойца ); звенья 1-красное, 2-синее, 3-желтое	
										new_unit('u_welder',1,1);
										--  явно задаем биографию т.к. юнит squads[1][1] связан с нашим главным героем, если не делать этого создается случайный персонаж мужчина. 
										unit_lifepath(squads[1][1],  1,1,27,37) --Значения 1-мужчина, 1-русский, 27 - индекс имени Максим, 47 - индекс фамилии Котов 		

										new_unit('u_goliaf',2,1);
										-- за руль сажаем Геннадия
										unit_lifepath(squads[2][1],  1,1,16,49) -- 1-мужчина, 1-русский, 27 - индекс имени Геннадий, 37 - индекс фамилии Новиков 

										--лаборанта генерируем случайно, биографию не описываем
										new_unit('u_planet',3,1);
																
										--по этой команде происходит продвижение по сценарию, сценарий описывается в объекте отвечающем за миссию, см. ниже.
										mission_advance()  
								end );
				xact('no', function(s) back()  end )
			} 		
}

e2m1_gena2 = dlg{
	nam = _rl('e2m1_gn'),--'Генка',
	entered = function(s)
		inv_clear()
		take_my_stat( img('img/'..prefs.thm..'/'..'bg/genka.png') )
		p(_l('e2m1_gn2_1')) --'Меня заинтересовал новый навигатор с красным экраном и цифрами. То-то похожее я видел на военных машинах "Пума". Одна из них уже неделю стояла у нас в ремонтном цеху в полуразобраном состоянии, и Генка активно участвовал в её ремонте.') 
	end,
	
	
	phr = { 
			{tag = '1',always = true, _rl('e2m1_gn2_2'), _rl('e2m1_gn2_3'),-- 'Гена, а что это за новый навигатор на нашем вездеходе?', 'Выменял у военных. Гражданское фуфло мне не нравится', 
					[[poff('1');pon('21');]]},
				{tag = '21',false,always = true, _rl('e2m1_gn2_4'), _rl('e2m1_gn2_5'),-- 'И чем тебе не угодил штатный навигатор?', 'Я уже два сменил, ломаются постоянно. А этот надежный, и разрешение хорошее. Плюс радар есть, можно искать нормальную дорогу, даже если заблудился, а спутника не видно.', 
						[[poff('21');pon('3');]]},			
			{tag = '1',always = true, _rl('e2m1_gn2_6'), _rl('e2m1_gn2_7'),-- 'Гена, ты никак подрываешь нашу военную мощь, воруя ценные приборы?', 'Я честный человек, поэтому только честный обмен, на блоки памяти и спирт.', 
					[[poff('1');pon('22');]]},
				{tag = '22',false,always = true, _rl('e2m1_gn2_8'), _rl('e2m1_gn2_9'),-- 'Значит ты подрываешь нашу экономическую мощь! У нас же на складе свои навигаторы остались, зачем добро разбазаривать?', 'Сразу видна, Максим, узость твоего мышления. Гражданские навигаторы можешь использовать сам. Гвозди забивать ими неплохо. А мне надоело уже их ремонтировать.', 
						[[poff('22');pon('3');]]},
			{tag = '3', false,always = true, _rl('e2m1_gn2_10'), _rl('e2m1_gn2_11'),-- 'Смотри, получишь по шее от Димы, за установку нерегламентного оборудования.' , 'Или премию. За рационализаторство!' ,
					[[poff('3');pon('1');back()]]},
	
	}
}


e2m1_dl = quest {
	nam = _rl('e2m1_dl'),-- 'На метеостанции',
	forcedsc = true,
	dsc = function() return _l('e2m1_dl_2')..'^^{gena2|'.._l('e2m1_dl_3')..'}'..'^^{confirm|'.._l('q.next')..'}' end, --Мы выгрузили нужные приборы и инструменты и вошли в метеостанцию. Генка тут же начал всюду тыкать щупом своего универсального тестера, попутно запуская программы регламентного самообслуживания. Лаборант притащил из вездехода мобильный калибровочный стенд и начал подстраивать измерительное оборудования, а меня загнали на крышу, крепить новые датчики. Управились мы довольно быстро, и начали собирать барахло, чтобы ехать к следующей станции.

	entered = function(s)
		inv_clear()
		take_my_stat( img('img/'..prefs.thm..'/'..'bg/instr.png') )
	end,	
	obj = 	{
				xact('gena2', function(s) walk('e2m1_gena2')	end );
				xact('confirm', function(s) mission_advance() end );
			} 		
}

-- после контакта
e2m1_ac = quest {
	nam = _rl('e2m1_ac'),-- 'Поломка',
	forcedsc = true,
	dsc = function() return _l('e2m1_ac_1')..'^^{gena2|'.._l('e2m1_ac_2')..'}' end, --Сбив эту жуткую тварь, Гена быстро развернулся и дал по газам, но на первом же повороте вездеход начало заносить и мы встали. Это странное существо своим бивнем или рогом пробило обшивку вездехода. После беглого осмотра стало ясно - поврежден один из аккумуляторов, гидроусилитель руля, и кое-какая электроника. Вдвоем мы могли отремонтировать это в полевых условиях за час-полтора. Мы вернулись в кабину и сели по местам, постоянно поглядывая в сторону, в которой лежала туша этого существа. Гена попытался связатсья с базой, но связи почему-то не было. Я заметил, что нервно барабаню пальцами по ручке двери.

	entered = function(s)
		inv_clear()
		take_my_stat( img('img/'..prefs.thm..'/'..'bg/instr.png') )	
	end,	
	obj = 	{
				xact('gena2', function(s) walk('e2m1_meet')	end );
			} 		
}


e2m1_meet = dlg{
	nam = _rl('e2m1_meet'),--'Совещание',
	entered = function(s)
		inv_clear()
		take_my_stat( img('img/'..prefs.thm..'/'..'bg/instr.png') )	
		p(_l('e2m1_meet_1')) 
	end,
	
	phr = { 
			{tag = '1',always = true, _rl('e2m1_meet_2'),_rl('e2m1_meet_3'),-- 'Откуда у тебя оружие?', 'Забыл, что ли? У нас вездеход для перемещения за периметром. Мне как руководителю экспедиции положено оружие, для непредвиденных случаев. Сейчас как раз такой.', 
					[[poff('1');pon('2');]]},
			{tag = '2',false,always = true, _rl('e2m1_meet_4'),_rl('e2m1_meet_5'),--'Да, точно, на курсах говорили. А что там в книжке?', 'Инструкции, для каждой нештатной ситуации есть свой код и регламент действий. Сейчас посмотрим... вот, "Код-10, контакт с неизвестными формами жизни"...', 
						[[poff('2');pon('3','4')]]},			

			{tag = '3', false,always = true, _rl('e2m1_meet_6'),_rl('e2m1_meet_7'),--'Ты думаешь это инопланетяне?' , 'А ты думаешь мы корову сбили? Или лося?' ,
					[[poff('3','4');pon('31')]]},
				{tag = '31', false,always = true, _rl('e2m1_meet_8'),_rl('e2m1_meet_9'),--'Согласен, глупый вопрос' , 'Ладно, сейчас все решим.' ,
						[[poff('31');pon('4')]]},
				{tag = '31', false,always = true, _rl('e2m1_meet_10'),_rl('e2m1_meet_11'),--'Откуда я знаю, кого ты там задавил?' , 'Вот только не надо сейчас!' ,
						[[poff('31');pon('4')]]},
			{tag = '4', false,always = true, _rl('e2m1_meet_12'),_rl('e2m1_meet_13'),--'Ладно, читай скорее.' , 'Так, сообщить вышестоящему руководителю или военному коменданту... всячески избегать контакта... укрыться в безопасном месте и ждать инструкций... не трогать... изолировать... дальше фигня всякая',
					[[poff('3','4');pon('5')]]},					
			{tag = '5', false,always = true, _rl('e2m1_meet_14'),_rl('e2m1_meet_15'),--'Чего делать будем?' , 'Не знаю, Макс. Можем попробовать починить вездеход, но возможно тут опасно оставаться. Можем пойти так, но это может быть еще опаснее.',
					[[poff('5');pon('6')]]},					
			{tag = '5', false,always = true, _rl('e2m1_meet_16'),_rl('e2m1_meet_17'),--'Ну ясно, нам надо чинить вездеход и ехать отсюда' , 'И сколько мы провозимся с ним? Может эта штука живая еще... встанет сейчас и хана нам.',
					[[poff('5');pon('6')]]},					
			{tag = '5', false,always = true, _rl('e2m1_meet_18'),_rl('e2m1_meet_19'),--'Значит надо скорее топать к ближайшей метеостанции' , 'Заблудимся еще, да и опасно будет без защиты, вездеход хотя бы защищает',
					[[poff('5');pon('6')]]},					
					
			{tag = '6', false,always = true, _rl('e2m1_meet_20'),--'Да, хреново...' , 
			true ,
					[[poff('6');pon('1');walk('e2m1_ac2')]]},
	
	
	}
}

e2m1_ac2 = quest {
	nam = _rl('e2m1_ac2'),-- '',
	forcedsc = true,
	dsc = function() return _l('e2m1_ac2_1')..'^^{confirm|'.._l('e2m1_ac2_2')..'}' end, --В наш разговор вступил молчавший до этого лаборант-планетолог. Он сказал, что помнит эти места, и сам тут проводил картографирование, но даже он не пошел бы тут пешком - очень сложный рельеф, и опасность обвалов.  Делать нечего, мы подняли краном кабину и я начал латать пробитые трубки и обшивку сварочным аппаратом, пока Гена возился с проводкой. Лаборант сидел в пассажирской кабине, копался в аптечке и периодически пытался связаться с колонией. Связи так и не было, что было очень странно. На стационарной орбите, прямо над нами висел спутник связи, и проблемы со связью могли возникнуть, только если забраться в какую-нибудь низину очень далеко от колонии. А это значит - либо что-то со спутником, либо с передатчиком в колонии. Мы почти уже закончили когда услышали крик планетолога. У меня начали подкашиваться ноги, а Гена побежал, на ходу выхватывая пистолет.

	entered = function(s)
		inv_clear()
	end,	
	obj = 	{
				xact('confirm', function(s) 
					--превращаем гену из юнита "вездеход" в юнит "электротехник"
					unit_upgrade(squads[2][1],'u_etech')
					--отключаем возможность смотреть радар
					disable(m_radar)
					mission_advance()  
				end );
				
			} 		
}


e2m1_ac3 = quest {
	nam = _rl('e2m1_ac3'),-- 'К метеостанции',
	forcedsc = true,
	dsc = function()   
		if squads[2][1] == nil and squads[3][1] == nil then --друзей убили
			return _l('e2m1_ac3_1')..'^^{confirm|'.._l('q.next')..'}' --У меня было странное ощущение, что все происходит не со мной. Как в тумане я закончил ремонт, машинально опустил кабину на место, забрался внутрь и снял скафандр. Потом одел его снова, вышел и затащил обезображенные тела своих друзей в пассажирскую кабину. Потом завел мотор и взял курс на метеостанцию. Я понимал, что мои шансы выжить были ничтожны.
		elseif squads[2][1] == nil then --убили только гену
			return _l('e2m1_ac3_2')..'^^{confirm|'.._l('q.next')..'}' --Мы с лаборантом закончили ремонт, он был очень перепуган но вроде держался. Я постоянно думал о Генке, надо будет приехать к его родным, когда я вернусь на землю. Он много о них рассказывал. Хороший парень. Я вдруг понял, что все еще думаю о Генке в настоящем времени. Мы закончили ремонт и занесли его тело в пассажирскую кабину. Я занял водительское сиденье, а планетолог сел рядом со мной и следил за дорогой. Мы взяли курс на метеостанцию.
		elseif squads[3][1] == nil then --убили только планетолога
			return _l('e2m1_ac3_3')..'^^{confirm|'.._l('q.next')..'}' --Лаборанта было жалко - он бегал за нами со своей аптечкой, и очень хотел помочь. Хорошо, что хоть мой друг жив. Вдвоем мы закончили ремонт и занесли тело планетолога в пассажирскую кабину. Потом заняли свои места и направились к ближайшей метеостанции.
		else 	 --все живы
			return _l('e2m1_ac3_4')..'^^{confirm|'.._l('q.next')..'}' --Все пролетело почти мгновенно, вот мы ремонтируем вездеход, вот эти ужасные молниеносные твари, и вот уже они лежат перед нами. Просто чудом мы остались живы и почти что целы. Планетолог сделал перевязку, ловко управляясь с аптечкой. Мы с Геной закончили ремонт, потом все заняли свои места и мы двинулись к ближайшей метеостанции. 		
		end
			
			end,

	entered = function(s)
		inv_clear()
		take_my_stat( img('img/'..prefs.thm..'/'..'bg/instr.png') )	
	end,	
	obj = 	{
				xact('confirm', function(s) 
					--превращаем гену или максима в юнит "вездеход"
					enable(m_radar)
					if squads[2][1] ~= nil then unit_upgrade(squads[2][1],'u_goliaf') else unit_upgrade(squads[1][1],'u_goliaf') end
					mission_advance()  
					end  
				);
			} 		
}

e2m1_final = quest {
	nam = _rl('e2m1_final'),-- 'Метеостанция',
	forcedsc = true,
	dsc = function()   
			return _l('e2m1_final_1')..'^^{confirm|'.._l('q.next')..'}' --Метеостанция была точной копией предыдущей. Связь все еще не работала, но на станции был генератор кислорода, запас пищи и воды. Что происходит сейчас в колонии, почему нет связи? Что это за существа? Может это война, они хотят захватить нас? Как нам Настя, может с ней случилось что-то? Я продолжал вызывать диспетчера колонии, когда в эфир вклинился незнакомый голос. Это был пилот спасательной экспедиции. Я дал координаты станции. Оставалось только ждать.
	 	end,

	entered = function(s)
		inv_clear()
		take_my_stat( img('img/'..prefs.thm..'/'..'bg/nastya.png') )
		set_music('track/Philippe_Mangold_-_Theme.ogg')
	end,	
	obj = 	{
				xact('confirm', function(s) 
					mission_advance()  
				end );
				
			} 		
}


---*** Объекты
--тут описываются объекты, уникальные для миссии. Мы будем использовать некоторые объекты из первого эпизода см. файл game.lua:
--dsea,dsea2,dsea3,dsea4 - мертвое море, у всех опасность 1, разные текстовые описания. Добавляем еще пару объектов опасности 0
dsea03= locobj {
	nam=_rl('obj.dsea'),
	text = _rl('obj.dsea4'),
	danger=0,
	code ='dsea'
}
dsea04= locobj {
	nam=_rl('obj.dsea'),
	text = _rl('obj.dsea5'),
	danger=0,
	code ='dsea'
}

-- stones,stones3 - камни опасности 3, 
-- stones0,stones03 - камни опасности 0 
--stones2 - камни опасности 4

--Метеостанция, в которой нужно провести работы для прохождения дальше по сценарию 
meteo_u = locobj {
	nam=_rl('obj.meteo'),
	text = function(s) return  _l('obj.meteo2')..'^^'..img('img/'..prefs.thm..'/'..'ico_info.png').._l('obj.def')..'^^'..img('img/'..prefs.thm..'/'..'ico_use.png').._l('meteo_u') end, 
	danger=0,
	usable = true,
	multiuse = false,
	code ='meteo',
	
	--вызывается каждый ход, дает бонус бойцу рядом
	act_turn = function(s,dir,pos)
			if units[pos] ~= nil then 
				units[pos]._def = units[pos]._def + 10;
			end
		end,
		
	-- вызывается при использовании
	use = function(s)
				-- специальная переменная привязанная к локации, по ней можно проверять условие победы (перехода в следующую локацию)
				loc._win_flag = true;
				-- отправляем радиосообщение игроку, цифра это alert_level 1-обычные сообщения, сигнал входящего,  2-опасно, проигрывается прирывистый сигнал, как в самолетах. 3-очень опасно, более длинный сигнал
				log_add(_l('meteo_u_1'),1)	--Приехали, выгружаемся!
				return true				
		end;	

}


lgoliaf= locobj {
	nam=_rl('lgoliaf'),--Сломанный вездеход
	text = function(s) return _l('lgoliaf_1')..'^'..img('img/'..prefs.thm..'/'..'ico_info.png').._l('lgoliaf_2') end, -->Мы подняли кабину Голиафа краном и начали починку. \\\ В вездеходе можно спрятаться, защита +10%
	danger=0,
	code ='glf',
	act_turn = function(s,dir,pos)
			if units[pos] ~= nil then 
				units[pos]._def = units[pos]._def + 10;
			end
	end
}


--высота (безопасная)
hill0 = locobj {
	nam=_rl('obj.hill'),
	text = function(s) return img('img/'..prefs.thm..'/'..'ico_info.png').._l('obj.hill2') end,

	danger=0,

	code ='hill',
	act_turn = function(s,dir,pos)
			if units[pos] ~= nil then 
				units[pos]._acc = units[pos]._acc + 10;
				units[pos]._def = units[pos]._def + 10;
			end
		end,
}

--высота (опасность 1)
hill1 = locobj {
	nam=_rl('obj.hill'),
	text = function(s) return img('img/'..prefs.thm..'/'..'ico_info.png').._l('obj.hill2') end,

	danger=1,

	code ='hill',
	act_turn = function(s,dir,pos)
			if units[pos] ~= nil then 
				units[pos]._acc = units[pos]._acc + 10;
				units[pos]._def = units[pos]._def + 10;
			end
		end,
}

--высота (опасность 3)
hill3 = locobj {
	nam=_rl('obj.hill'),
	text = function(s) return img('img/'..prefs.thm..'/'..'ico_info.png').._l('obj.hill2') end,

	danger=3,

	code ='hill',
	act_turn = function(s,dir,pos)
			if units[pos] ~= nil then 
				units[pos]._acc = units[pos]._acc + 10;
				units[pos]._def = units[pos]._def + 10;
			end
		end,
}


--высота (обвал)
rfall2 = locobj {
	--Название
	nam=_rl('rfall2'), --Склон
	
	--Описание
	text = function(s) return img('img/'..prefs.thm..'/'..'ico_info.png').._l('rfall2_1')..'^^'..img('img/'..prefs.thm..'/'..'ico_use.png').._l('rfall2_2') end,--возвышенность, защита +10% ///На вершине есть огромный камень, тут можно устроить обвал.

	-- опасность 1-4 есть еще опасность 5 при которой рисуется восклицательный знак
	danger=2,
	
	--объект можно использовать
	usable = true,
	--объект нельзя использовать повторно
	multiuse = false,
	-- код картинки
	code ='rfall',
	
	--вызывается каждый ход для рассчета постоянных бонусов и штрафов
	act_turn = function(s,dir,pos)
			if units[pos] ~= nil then --если на той же позиции есть юнит
				units[pos]._def = units[pos]._def + 10; --и к защите
			end
		end,
		
	--вызывается если нажать "использовать"
	use = function(s)
			--запускаем звук обвала
			add_sound('snd/rockfall.ogg',2,1)
			
			if enemies[s._dir][s._pos] ~= nil then --если на той же позиции есть группа врагов
				swarm_kill(enemies[s._dir][s._pos])	--то уничтожаем её 
			end
			--помещаем объект rfall2n на место rfall2. Для игрока это выглядит как исчезновение камня с картинки, и исчезновение возможности использовать объект
			place_obj(rfall2n,rfall2._dir,rfall2._pos)
		end;	
}
--высота (произошедший обвал)
rfall2n = locobj {
	--Название
	nam=_rl('rfall2'), --Склон
	--Описание
	text = function(s) return img('img/'..prefs.thm..'/'..'ico_info.png').._l('rfall2_1') end, --возвышенность, защита +10%
	-- опасность 1-4 есть еще опасность 5 при которой рисуется восклицательный знак
	danger=2,
	-- код картинки
	code ='rfalln',
	--вызывается каждый ход для рассчета постоянных бонусов и штрафов
	act_turn = function(s,dir,pos)
			if units[pos] ~= nil then --если на той же позиции есть юнит
				units[pos]._def = units[pos]._def + 10; --и к защите
			end
		end,
}

--высота (обвал) но с другой опасностью
rfall3 = locobj {
	--Название
	nam=_rl('rfall2'), --Склон
	
	--Описание
	text = function(s) return img('img/'..prefs.thm..'/'..'ico_info.png').._l('rfall2_1')..'^^'..img('img/'..prefs.thm..'/'..'ico_use.png').._l('rfall2_2') end,--возвышенность, защита +10% ///На вершине есть огромный камень, тут можно устроить обвал.

	-- опасность 1-4 есть еще опасность 5 при которой рисуется восклицательный знак
	danger=3,
	
	--объект можно использовать
	usable = true,
	--объект нельзя использовать повторно
	multiuse = false,
	-- код картинки
	code ='rfall',
	
	--вызывается каждый ход для рассчета постоянных бонусов и штрафов
	act_turn = function(s,dir,pos)
			if units[pos] ~= nil then --если на той же позиции есть юнит
				units[pos]._def = units[pos]._def + 10; --и к защите
			end
		end,
		
	--вызывается если нажать "использовать"
	use = function(s)
			--запускаем звук обвала
			add_sound('snd/rockfall.ogg',2,1)
			
			if enemies[s._dir][s._pos] ~= nil then --если на той же позиции есть группа врагов
				swarm_kill(enemies[s._dir][s._pos])	--то уничтожаем её 
			end
			--помещаем объект rfall3n на место rfall3. Для игрока это выглядит как исчезновение камня с картинки, и исчезновение возможности использовать объект
			place_obj(rfall3n,rfall3._dir,rfall3._pos)
		end;	
}
--высота (произошедший обвал)
rfall3n = locobj {
	--Название
	nam=_rl('rfall2'), --Склон
	--Описание
	text = function(s) return img('img/'..prefs.thm..'/'..'ico_info.png').._l('rfall2_1') end, --возвышенность, защита +10%
	-- опасность 1-4 есть еще опасность 5 при которой рисуется восклицательный знак
	danger=3,
	-- код картинки
	code ='rfalln',
	--вызывается каждый ход для рассчета постоянных бонусов и штрафов
	act_turn = function(s,dir,pos)
			if units[pos] ~= nil then --если на той же позиции есть юнит
				units[pos]._def = units[pos]._def + 10; --и к защите
			end
		end,
}




---*** События
-- в этом разделе описываются все таймерные и случайные события происходящие в ходе миссии

--специальное событие для переназначения приказов для машине, чтобы она могла ехать каждый ход, а не через ход по правилам боя
ev_fast_move = event{
	nam='Быстрое передвижение',
	run = function()
		-- принудительно переключаем для второго сквада предыдущий ход на поддержку, а текущий на движение
		last_turn[2] = UT_SUP
		current_turn[2] = UT_MOV		
		
		return true

	end

}

ev_disembark_e2m1 = event{
	nam='Высадка',
	run = function()
	--в первом секторе миссии можно задать параметр disembark = true, в этом случае при входе в сектор в нем автоматически будут случайно расставлены все бойцы из отряда. Либо можно создать специальное событие, которое высаживает бойцов и сообщает об этом по рации. По сюжету у нас пока не будет сражения, а все три героя едут внутри вездехода, поэтому делаем специальное событие которое помещает вездеход на первую позицию, остальные бойцы пока невидимы.
		--disable(m_radar)
		--высадить
		disembark( squads[2][1] ,1,1) 
		
		--добавить запись в лог сообщений
		log_add(_l('ev_e2m1_1'),1)	--Вижу метеостанцию.	
		
		--вывести лог сообщений
		take( battle_stat )
		
		--вызываем, чтобы можно было только ехать
		ev_fast_move.run()
		
		return true
	end

}

ev_e2m1_2 = event{
	nam='Переговоры',
	run = function()
		ev_fast_move.run()
		--добавить запись в лог сообщений
		log_add(_l('ev_e2m1_2'),1)	--.	-Не забудь развернуться к метеостанции, а то будем кружить как в тот раз.
		--вывести лог сообщений
		take( battle_stat )
		return true
	end
}

ev_e2m1_3 = event{
	nam='Подъехали',
	run = function()
		ev_fast_move.run()
		--сразу поднимаем флаг победы, чтобы перейти в следующий уровень
		loc._win_flag = true;
		--добавить запись в лог сообщений
		log_add(_l('ev_e2m1_3'),1)	--.	-Поднажми, в график не укладываемся. Нам еще километров десять осталось.
		--вывести лог сообщений
		take( battle_stat )
		return true
	end
}

ev_e2m1_contact = event{
	nam='Контакт',
	run = function()
		--добавить запись в лог сообщений
		log_add(_l('ev_e2m1_4'),2)	--.	-Эй, смотри, радар включился! Там кто-то едет справа.
		--вывести лог сообщений
		take( battle_stat )
		return true
	end
}

ev_e2m1_contact2 = event{
	nam='Контакт',
	run = function()
		--добавить запись в лог сообщений
		log_add(_l('ev_e2m1_5'),2)	--.	-Черт, радар опять что-то показывает!
		--вывести лог сообщений
		take( battle_stat )
		return true
	end
}


---*** Сектора
-- сектор это карта поля боя, со статичными объектами слева и справа, в нем же задаются ссылки на события таймерные и случайные. По сути это xroom с дополнительными свойствами

--первая локация, по ней просто едет машина
e2m1_start = location{
	--отображаемое имя
	nam = _rl('e2m1_start'),--'Южное плато',
	
	-- тут картинка с картой и трассой продвижения, я обычно рисую одну карту и несколько трасс, потом накладываю одно на другое. Если карты нет, или бойцы не знают где находятся нужно обязательно написать  map = _rl('gui.nomapdata') тогда при выборе карты будет написано "картографические данные не подгружены". 
	map = _rl('gui.nomapdata'),	
	
	-- план сектора вида {  {левый фланг}, {правый фланг} }  на каждом фланге перечисляются объекты в виде [позиция]=объект. Внимание, нельзя использовать один и тот же объект два раза в локации, они должны быть уникальными. 
	plan = { {[2]=dsea03, [5]=stones0}, {[1]=stones03,[4]=dsea04,[6]=meteo_u}}, 
	
	--количество точек на радаре слева и справа, это враги
	blink = {0,0},

	--музыка
	track = 'track/MOONDARK_PROJECT_-_l_echo_des_ombres.ogg',
	
	--длина уровня, максимум 6, более короткие использовались в обучении
	level_len = 6,
	
	-- отсюда выбираются типы врагов (типы смотри в game.lua). Тут же можно регулировать частоту появления. Например enemy_typ={1,2,3,3}. 25% тип 1, 25% тип 2 и 50% тип 3.
	enemy_typ={1},
	-- значение для enemy_random_advance минимальное и максимальное количество приближающихся врагов за ход (приближаются только если это будет описано в событиях) указывается для каждого уровня сложности
	ea_count = {{1,3},{2,3},{2,4}},
	
	-- если true то при старте локации бойцы будут случайно расставлены на позициях, удобно использовать при отладке, когда начинаешь не с начала
	--disembark = true,
	
	-- перечень событий по расписанию в виде [номер хода]=событие	
	timer_events = {[1]=ev_disembark_e2m1,[2]=ev_e2m1_2},
	
	-- перечень случайных событий, из этого списка они выбираются только если не было события по расписанию, тут же можно регулировать частоту ставя ссылку на событие несколько раз, тогда оно будет выбираться чаще
	--в первом уровне не будет противника, вызываем только событие переключающее приказ на "движение" 
	random_events = {ev_fast_move},
	
	--ссылка на функцию определения условий поражения (см. core.lua)
	fail_cond = fail_cond_std,
	--ссылка на функцию определения условий победы (см. core.lua)
	win_cond = win_cond_flag
	
}

-- вторая локация, все тихо и безопасно, на первом ходу переброс в копию локации но уже с врагом
e2m1_loc2 = location{
	--отображаемое имя
	nam = _rl('e2m1_start'),--'Южное плато',
	map = _rl('gui.nomapdata'),	
	plan = {  {[1]=dsea04,[4]=stones03,[5]=hill0},{[2]=stones0, [6]=dsea03}}, 
	blink = {0,0},
	track = 'track/MOONDARK_PROJECT_-_l_echo_des_ombres.ogg',
	level_len = 6,
	enemy_typ={1},
	ea_count = {{1,3},{2,3},{2,4}},
	timer_events = {[1]=ev_e2m1_3},
	random_events = {ev_fast_move},
	fail_cond = fail_cond_std,
	win_cond = win_cond_flag
}

-- копия предыдущей локации, но с уровнем опасности 
e2m1_loc3 = location{
	--отображаемое имя
	nam = _rl('e2m1_loc3'),--Контакт
	map = _rl('gui.nomapdata'),	
	plan = {  {[1]=dsea4,[4]=stones3,[5]=hill1},{[2]=stones, [6]=dsea3}}, 
	blink = {0,1},
	track = 'track/MOONDARK_PROJECT_-_l_echo_des_ombres.ogg',
	level_len = 6,
	enemy_typ={1},
	ea_count = {{1,3},{2,3},{2,4}},
	timer_events = {[1]=ev_e2m1_contact},
	random_events = {ev_spawn}, --типовое событие респауна врагов в зависимости от заданных настроек blink, enemy_typ и ea_count
	fail_cond = fail_cond_empty, --проигрыш если пусто на поле
	win_cond = win_cond_clear --выигрыш если всех убить
}


-- место ремонта
e2m1_locrep = location{
	--отображаемое имя
	nam = _rl('e2m1_locrep'),--Неудачный ремонт
	map = _rl('gui.nomapdata'),	
	plan = {  {[1]=hill3,[2]=dsea2,[5]=lgoliaf},{[3]=stones3, [6]=dsea3}}, 
	blink = {2,2},
	track = 'track/SoLaRiS_-_Escape_To_The_Heights.ogg',
	level_len = 6,
	enemy_typ={2},
	ea_count = {{1,1},{1,2},{2,3}},
	timer_events = {},
	random_events = {ev_spawn},
	fail_cond = fail_cond_hero, --проигрыш если убьют главного героя который должен располагаться в красном звене первым номером
	win_cond = win_cond_clear,
	disembark = true, --флаг, что необходимо выставить всех бойцов на поле (выставляет снизу на позициях 6,5,4)
}

-- поездка
e2m1_mov1 = location{
	--отображаемое имя
	nam = _rl('e2m1_mov1'),--На пути к метеостанции
	map = _rl('gui.nomapdata'),	
	plan = {  {[3]=rfall3,[6]=dsea},{[1]=stones,[2]=rfall2,[4]=dsea4}}, 
	blink = {3,3},
	track = 'track/SoLaRiS_-_Escape_To_The_Heights.ogg',
	level_len = 6,
	enemy_typ={1,2},
	ea_count = {{1,1},{1,2},{2,3}},
	timer_events = {[1]=ev_e2m1_contact2},
	random_events = {ev_spawn},
	fail_cond = fail_cond_hero, --проигрыш если убьют главного героя который должен располагаться в красном звене первым номером
	win_cond = win_cond_clear,
}

e2m1_mov2 = location{
	--отображаемое имя
	nam = _rl('e2m1_mov1'),--На пути к метеостанции
	map = _rl('gui.nomapdata'),	
	plan = {  {[1]=stones,[3]=dsea,[5]=rfall3},{[2]=rfall2,[6]=dsea4}}, 
	blink = {3,3},
	track = 'track/SoLaRiS_-_Escape_To_The_Heights.ogg',
	level_len = 6,
	enemy_typ={1,2},
	ea_count = {{1,1},{1,2},{2,3}},
	timer_events = {[1]=ev_e2m1_contact2},
	random_events = {ev_spawn},
	fail_cond = fail_cond_hero, --проигрыш если убьют главного героя который должен располагаться в красном звене первым номером
	win_cond = win_cond_clear,
}




---*** Миссия

e2m1_mis = umission {
	--название миссии для вывода меню и личном деле
	nam = _rl('e2m1_mis'), --Максим Котов
	
	--короткое описание миссии
	text = _rl('e2m1_mis_1'), --Минус шесть часов до контакта. Плановый техосмотр измерительного оборудования на метеостанциях.	
	
	--порядковый номер квеста с которого начинается повторное прохождение после проигрыша. В первом эпизоде в некоторых миссиях часть сюжета проходилась один раз (совещание в штабе, например)
	restart = 1,
	
	--сцанерий мисии, в каждой строке либо квест либо локация. Если в строке больше одной локации, то она выбирается случайным образом. Так можно разнообразить прохождение.
	scenario = {  	
				   {e2m1_begin}, --это первая сцена с которой начинается сценарий
				   {e2m1_start}, --проезд на машине
				   {e2m1_dl},  -- внутри метеостанции
					{e2m1_loc2}, --место первой встречи пока пусто
					{e2m1_loc3}, -- место первой встречи, появляется противник
					{e2m1_ac}, --диалоги, группа решает, что делать дальше
					{e2m1_locrep}, -- ремонт машины, первое сражение
					{e2m1_ac3}, --описание завершения ремонта и отправления в метеостанцию
					{e2m1_mov1,e2m1_mov2}, --на пути к метеостанции, случайный выбор одной из локаций
					{e2m1_final} --финальный текст
				},		
				
	--вызывается при запуске	
	install = function(s)
				--задаем параметры главного героя, для вывода в личном деле, поскольку эти данные попадают в сохранение, тут не должно быть текстов на конкретном языке, а обязательно индексы для файла локализации см. приложенный файл
				
					--подгружаем локализацию 
					set_locale(prefs.lang,'ep2/locale.xml') 
					
					
					--фамилия имя отчество 
					hero.fio =  'hero_fio' --'Котов Максим Сергеевич'
					
					--возраст
					hero.age =  '25'
					
					--звание (см. записи с ключами gui.grade в файле locale.xml) 0 для гражданских
					hero.grade = 0
					
					-- род войск, или профессиональная группа. Местные солдаты гарнизона относятся к "Силы самообороны"
					hero.army = 'hero_army' -- 'Инженерная служба'
					
					-- военно-учетная специальность (ВУС) или гражданская специальность ВУС записывается в формате буква, тире, четырехзначное число, например К-3351
					hero.vus = 'hero_vus' 
					
					--для военных медали для гражданских не выводится
					hero.honors = '' 
					
					--фотография, можно составлять из кусочков фоторобота или нарисовать самому
					hero.foto = 'img/'..prefs.thm..'/foto/ep2_1.png'
					
			end


			
				
}

------------------------------------------------------------------------------------------------
-- Важная информация!!!!
------------------------------------------------------------------------------------------------

------------------------------------------------------------------------------------------------
-- Текст и локализация
------------------------------------------------------------------------------------------------
-- В отличии от стандартных INSTEAD квестов весь выводимый текст в игре это функции. Нельзя писать nam = 'Название' или dsc = 'Описание', это приведет к ошибке. Это не так удобно, зато позволяет динамичеки переводить весь текст, выбирая нужный язык в файле локализации. При создании миссии можно для простоты писать текст непосредственно там, где он выводится используя функцию-замыкание _r то есть nam = _r('Название') или dsc = _r('Описание'). Когда уровень будет отлажен, рекомендуется перенести весь текст в файл локализации, если вы конечно хотите, упростить возможному переводчику жизнь, и повысить шансы на то, что кто-то заинтересуется и захочет перевести ваш текст на другие языки. Для перевода
-- 1) ищите очередную функцию _r в вашем lua файле
-- 2) переносите текст из неё в файл локализации для вашей миссии locale_xxx.xml (имя настраивается) в структуру вида
--		<line id='xxx.key1'>
--			<ru>текст из _r()</ru>
--		</line>
-- 3) заменяете _r(текст) на _rl('xxx.key1')
--  все, теперь если в файл локализации добавить для этого ключа вложенный элемент <en>перевод</en> и выбрать язык в меню, то он будет выводится в нужном месте
-- внимание, если в тексте используется конкатенация нескольких строк, или какие-то вычисления, то нужно использовать функцию _l которая возвращает саму строку с переводом, и полные вызовы т.е. вместо nam =_rl('xxx.key1').._rl('xxx.key2') нужно писать nam = function() return _l('xxx.key1').._l('xxx.key2') end
-- При выводе текста не должно появляться скролл-баров. Если текста слишком много, необходимо сократить его или разбить на отдельные куски.
-- Весь второй эпизод это воспоминания разных людей живших и работавших на надежде, время действия - начиная от момента первого контакта и до спасения в первом эпизоде. Повествование ведется от первого лица в настоящем времени. Вступление допустимо писать в прошедшем и постепенно переходить в настоящее.

------------------------------------------------------------------------------------------------
-- Графический контент
------------------------------------------------------------------------------------------------
-- Весь графический контент должен как минимум поддерживаться в стандартной теме в папке img. Туда же можно помещать свои рисунки, задавая им уникальные названия а лучше префиксы. Для единобразия рекомендуется рисовать на прозрачном фоне, белым и серым цветом. 

------------------------------------------------------------------------------------------------
-- Музыка и звуки
------------------------------------------------------------------------------------------------
-- в игре используются звуки в формате .ogg 
-- Чтобы не увеличивать объем в релизе будут поддерживаться только стандартные музыкальные темы 
-- спокойная тема для квестов
-- спокойная тема для сражения
-- напряженная тема для сражения
-- тема для эпического сражения (в первом эпизоде использовалась всего дважды)
-- короткая тема при выигрыше
-- короткая тема при проигрыше
-- финальная тема 
